3

I know similar questions have been asked (like Missing QGIS raster menu tools - '"osgeo [python-gdal]" module is missing') -- but I'm encountering a unique problem. I installed GDAL complete 1.11 from KyngChaos, but when I open QGIS, I get the following error message:

screen shot

Interestingly enough, when I look at the Libraries directory in Finder, there isn't a subfolder called Frameworks. Which tells me something went wrong.

I'm running Mac OS X 10.9.2.

2

There is currently a small flaw in the GDAL Complete install for 1.11. You can fix it yourself by editing the following file:

 /Library/Python/2.7/site-packages/gdal-py2.7.pth

and verify the contents are:

import sys; sys.path.insert(0,'/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages')

If it is still referencing the 1.10 install, which you may not have, change it to 1.11 and save the file. You will probably need admin rights to do this. Programs like BBEdit and TextWrangler (free) can handle the file permissions.

See: http://osgeo-org.1560.x6.nabble.com/Install-problem-on-OS-X-10-9-td5143122.html

  • Note: this flaw has been fixed since GDAL 1.11 Complete 2014-05-30. – dakcarto Jun 13 '14 at 2:30

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.